<!-- Schematron binding rules generated automatically. -->
<!-- Data binding to UBL syntax for T14 -->
<!-- (2009). Invinet Sistemes -->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" is-a="T14" id="UBL-T14">
  <param value="(cbc:CustomizationID)" name="BII2-T14-R001"/>
  <param value="(cbc:ProfileID)" name="BII2-T14-R002"/>
  <param value="(cbc:ID)" name="BII2-T14-R003"/>
  <param value="(cbc:IssueDate)" name="BII2-T14-R004"/>
  <param value="(cbc:DocumentCurrencyCode)" name="BII2-T14-R005"/>
  <param value="(cac:AccountingSupplierParty/cac:Party/cac:PartyName/cbc:Name) or (cac:AccountingSupplierParty/cac:Party/cac:PartyIdentification/cbc:ID)" name="BII2-T14-R006"/>
  <param value="(cac:AccountingCustomerParty/cac:Party/cac:PartyName/cbc:Name) or (cac:AccountingCustomerParty/cac:Party/cac:PartyIdentification/cbc:ID)" name="BII2-T14-R008"/>
  <param value="number(cac:LegalMonetaryTotal/cbc:LineExtensionAmount)" name="BII2-T14-R010"/>
  <param value="number(cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount)" name="BII2-T14-R011"/>
  <param value="number(cac:LegalMonetaryTotal/cbc:TaxInclusiveAmount)" name="BII2-T14-R012"/>
  <param value="number(cac:LegalMonetaryTotal/cbc:PayableAmount)" name="BII2-T14-R013"/>
  <param value="(cac:CreditNoteLine)" name="BII2-T14-R014"/>
  <param value="(cac:TaxTotal[cac:TaxSubtotal/cac:TaxCategory/cac:TaxScheme/cbc:ID = 'VAT']/cbc:TaxAmount) or not(cac:CreditNoteLine/cac:TaxTotal)" name="BII2-T14-R015"/>
  <param value="(cbc:ID)" name="BII2-T14-R017"/>
  <param value="(cbc:CreditedQuantity)" name="BII2-T14-R018"/>
  <param value="(cbc:CreditedQuantity/@unitCode)" name="BII2-T14-R019"/>
  <param value="number(cbc:LineExtensionAmount)" name="BII2-T14-R020"/>
  <param value="(cac:Item/cbc:Name) or (cac:Item/cac:StandardItemIdentification/cbc:ID) or  (cac:Item/cac:SellersItemIdentification/cbc:ID)" name="BII2-T14-R021"/>
  <param value="(cbc:StartDate)" name="BII2-T14-R023"/>
  <param value="(cbc:EndDate)" name="BII2-T14-R024"/>
  <param value="(cbc:AllowanceChargeReason)" name="BII2-T14-R025"/>
  <param value="(//cac:TaxScheme/cbc:ID = 'VAT') or not(/ubl:CreditNote/cac:TaxTotal/cbc:TaxAmount)" name="BII2-T14-R026"/>
  <param value="(//cbc:TaxableAmount)" name="BII2-T14-R027"/>
  <param value="(//cbc:TaxAmount)" name="BII2-T14-R028"/>
  <param value="(//cac:TaxCategory/cbc:ID)" name="BII2-T14-R029"/>
  <param value="(//cac:TaxCategory/cbc:Percent) or not(//cac:TaxCategory/cbc:ID = 'S')" name="BII2-T14-R030"/>
  <param value="(cbc:StartDate and cbc:EndDate) and (number(translate(cbc:StartDate,'-','')) &lt;= number(translate(cbc:EndDate,'-','')))" name="BII2-T14-R031"/>
  <param value="(//cac:StandardItemIdentification/cbc:ID/@schemeID) or not(//cac:StandardItemIdentification)" name="BII2-T14-R032"/>
  <param value="(//cac:CommodityClassification/cbc:ItemClassificationCode/@listID) or not(//cac:CommodityClassification)" name="BII2-T14-R033"/>
  <param value="number(cac:Price/cbc:PriceAmount) &gt;= 0" name="BII2-T14-R034"/>
  <param value="number(cac:LegalMonetaryTotal/cbc:TaxInclusiveAmount) &gt;= 0" name="BII2-T14-R035"/>
  <param value="number(cac:LegalMonetaryTotal/cbc:PayableAmount) &gt;= 0" name="BII2-T14-R037"/>
  <param value="((cbc:PaymentMeansCode = '31') and (cac:PayeeFinancialAccount/cbc:ID)) or (cbc:PaymentMeansCode != '31')" name="OP-T14-R039"/>
  <param value="(cac:PayeeFinancialAccount/cbc:ID/@schemeID and (cac:PayeeFinancialAccount/cbc:ID/@schemeID = 'IBAN') and cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID) or (cac:PayeeFinancialAccount/cbc:ID/@schemeID != 'IBAN') or (not(cac:PayeeFinancialAccount/cbc:ID/@schemeID))" name="OP-T14-R040"/>
  <param value="(cbc:PaymentMeansCode)" name="OP-T14-R041"/>
  <param value="(cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID/@schemeID='BIC') and (cac:PayeeFinancialAccount/cbc:ID/@schemeID = 'IBAN') or not(cac:PayeeFinancialAccount/cbc:ID/@schemeID = 'IBAN')" name="OP-T14-R042"/>
  <param value="(/ubl:CreditNote/cac:TaxTotal/*/*/*/cbc:ID = 'VAT') and (cac:TaxCategory/cbc:ID)" name="BII2-T14-R043"/>
  <param value="(cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or not(cac:TaxTotal/*/*/*/cbc:ID = 'VAT')" name="BII2-T14-R044"/>
  <param value="(cac:TaxCategory/cbc:TaxExemptionReason) or not ((cac:TaxCategory/cbc:ID='E') or (cac:TaxCategory/cbc:ID='AE'))" name="BII2-T14-R045"/>
  <param value="(cac:Item/cac:ClassifiedTaxCategory/cbc:ID) or not(/ubl:CreditNote/cac:TaxTotal/*/*/*/cbc:ID='VAT')" name="BII2-T14-R046"/>
  <param value="(cac:AccountingCustomerParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or not(cac:TaxTotal/*/*/cbc:ID = 'AE')" name="BII2-T14-R047"/>
  <param value="count(child::cac:TaxTotal/*/*/cbc:ID) = count(child::cac:TaxTotal/*/*/cbc:ID[. = 'AE']) or count(child::cac:TaxTotal/*/*/cbc:ID[. = 'AE']) = 0" name="BII2-T14-R048"/>
  <param value="(cac:TaxTotal[cac:TaxSubtotal/cac:TaxCategory/cbc:ID = 'AE']/cbc:TaxableAmount = (cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount)) or  not(cac:TaxTotal[cac:TaxSubtotal/cac:TaxCategory/cbc:ID = 'AE']/cbc:TaxableAmount)" name="BII2-T14-R049"/>
  <param value="(cac:TaxTotal[cac:TaxSubtotal/cac:TaxCategory/cbc:ID = 'AE']/cbc:TaxAmount = 0) or  not(cac:TaxTotal[cac:TaxSubtotal/cac:TaxCategory/cbc:ID = 'AE']/cbc:TaxAmount)" name="BII2-T14-R050"/>
  <param value="number(cbc:LineExtensionAmount) = number(round(sum(//cac:CreditNoteLine/cbc:LineExtensionAmount) * 10 * 10) div 100)" name="BII2-T14-R051"/>
  <param value="((cbc:ChargeTotalAmount) and (cbc:AllowanceTotalAmount) and (number(cbc:TaxExclusiveAmount) = round((number(cbc:LineExtensionAmount) + number(cbc:ChargeTotalAmount) - number(cbc:AllowanceTotalAmount)) * 10 * 10) div 100 ))  or (not(cbc:ChargeTotalAmount) and (cbc:AllowanceTotalAmount) and (number(cbc:TaxExclusiveAmount) = round((number(cbc:LineExtensionAmount) - number(cbc:AllowanceTotalAmount)) * 10 * 10 ) div 100)) or ((cbc:ChargeTotalAmount) and not(cbc:AllowanceTotalAmount) and (number(cbc:TaxExclusiveAmount) = round((number(cbc:LineExtensionAmount) + number(cbc:ChargeTotalAmount)) * 10 * 10 ) div 100)) or (not(cbc:ChargeTotalAmount) and not(cbc:AllowanceTotalAmount) and (number(cbc:TaxExclusiveAmount) = number(cbc:LineExtensionAmount)))" name="BII2-T14-R052"/>
  <param value="((cbc:PayableRoundingAmount) and (number(cbc:TaxInclusiveAmount) = (round((number(cbc:TaxExclusiveAmount) + number(sum(/ubl:CreditNote/cac:TaxTotal/cbc:TaxAmount)) + number(cbc:PayableRoundingAmount)) *10 * 10) div 100))) or (number(cbc:TaxInclusiveAmount) = round(( number(cbc:TaxExclusiveAmount) + number(sum(/ubl:CreditNote/cac:TaxTotal/cbc:TaxAmount))) * 10 * 10) div 100)" name="BII2-T14-R053"/>
  <param value="cbc:AllowanceTotalAmount = (round(sum(/ubl:CreditNote/cac:AllowanceCharge[cbc:ChargeIndicator=&quot;false&quot;]/cbc:Amount) * 10 * 10) div 100) or not(cbc:AllowanceTotalAmount)" name="BII2-T14-R054"/>
  <param value="cbc:ChargeTotalAmount = (round(sum(/ubl:CreditNote/cac:AllowanceCharge[cbc:ChargeIndicator=&quot;true&quot;]/cbc:Amount) * 10 * 10) div 100) or not(cbc:ChargeTotalAmount)" name="BII2-T14-R055"/>
  <param value="(cbc:PrepaidAmount) and (number(cbc:PayableAmount) = (round((cbc:TaxInclusiveAmount - cbc:PrepaidAmount) * 10 * 10) div 100)) or number(cbc:PayableAmount) = number(cbc:TaxInclusiveAmount)" name="BII2-T14-R056"/>
  <param value="((cac:TaxTotal[cac:TaxSubtotal/cac:TaxCategory/cac:TaxScheme/cbc:ID = 'VAT']/cbc:TaxAmount) and (round(sum(cac:TaxTotal//cac:TaxSubtotal/cbc:TaxableAmount) *10 * 10) div 100 = number(cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount))) or  not((cac:TaxTotal[cac:TaxSubtotal/cac:TaxCategory/cac:TaxScheme/cbc:ID = 'VAT']))" name="BII2-T14-R058"/>
  <param value="((cbc:PaymentMeansCode = '31') and (cac:PayeeFinancialAccount/cbc:ID/@schemeID and cac:PayeeFinancialAccount/cbc:ID/@schemeID = 'IBAN') and (cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID/@schemeID and cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID/@schemeID = 'BIC')) or (cbc:PaymentMeansCode != '31') or ((cbc:PaymentMeansCode = '31') and  (not(cac:PayeeFinancialAccount/cbc:ID/@schemeID) or (cac:PayeeFinancialAccount/cbc:ID/@schemeID != 'IBAN')))" name="EUGEN-T14-R004"/>
  <param value="(parent::cac:AllowanceCharge) or (cbc:ID and cbc:Percent) or (cbc:ID = 'AE')" name="EUGEN-T14-R008"/>
  <param value="not(cbc:MultiplierFactorNumeric) or number(cbc:MultiplierFactorNumeric) &gt;=0" name="EUGEN-T14-R012"/>
  <param value="number(cbc:Amount)&gt;=0" name="EUGEN-T14-R022"/>
  <param value="@schemeID" name="EUGEN-T14-R023"/>
  <param value="@schemeID" name="EUGEN-T14-R024"/>
  <param value="@listID =  'ISO4217'" name="EUGEN-T14-R026"/>
  <param value="@listID = 'UNCL1001'" name="EUGEN-T14-R025"/>
  <param value="@listID = 'ISO3166-1:Alpha2'" name="EUGEN-T14-R027"/>
  <param value="@listID = 'UNCL4465'" name="EUGEN-T14-R029"/>
  <param value="not(attribute::unitCode) or (attribute::unitCode and attribute::unitCodeListID = 'UNECERec20')" name="EUGEN-T14-R030"/>
  <param value="@schemeID" name="EUGEN-T14-R031"/>
  <param value="@schemeID = 'UNCL5305'" name="EUGEN-T14-R032"/>
  <param value="@listID = 'UNCL1001'" name="EUGEN-T14-R033"/>
  <param value="@schemeID" name="EUGEN-T14-R034"/>
  <param value="(//cac:Party/cac:PartyName/cbc:Name)" name="EUGEN-T14-R035"/>
  <param value="(//cac:Party/cac:PartyName/cbc:Name)" name="EUGEN-T14-R036"/>
  <param value="(//cac:Party/cac:PostalAddress)" name="EUGEN-T14-R037"/>
  <param value="(//cac:Party/cac:PostalAddress)" name="EUGEN-T14-R038"/>
  <param value="(//cac:Party/cac:PartyLegalEntity)" name="EUGEN-T14-R039"/>
  <param value="(//cac:Party/cac:PartyLegalEntity)" name="EUGEN-T14-R040"/>
  <param value="not(/ubl:CreditNote/cac:TaxTotal/*/*/*/cbc:ID = 'VAT') or (starts-with(cac:Party/cac:PartyTaxScheme/cbc:CompanyID,cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode))" name="EUGEN-T14-R041"/>
  <param value="((cbc:TaxableAmount) and (cac:TaxCategory/cbc:Percent) and (number(cbc:TaxAmount - 1) &lt; number(cbc:TaxableAmount * (cac:TaxCategory/cbc:Percent div 100))) and (number(cbc:TaxAmount + 1) &gt; number(cbc:TaxableAmount * (cac:TaxCategory/cbc:Percent div 100)))) or not(cac:TaxCategory/cbc:Percent) or not(cbc:TaxableAmount)" name="EUGEN-T14-R042"/>
  <param value="(number(child::cbc:TaxAmount)= round(number(sum(//cac:TaxSubtotal/cbc:TaxAmount) * 10 * 10)) div 100) " name="EUGEN-T14-R043"/>
  <param value="not(//cbc:TaxCurrencyCode) or (//cac:TaxExchangeRate)" name="EUGEN-T14-R044"/>
  <param value="(cbc:CalculationRate) and (cbc:MathematicOperatorCode)" name="EUGEN-T14-R045"/>
  <param value="not(/ubl:CreditNote/cbc:TaxCurrencyCode) or (cbc:TaxAmount and cbc:TransactionCurrencyTaxAmount)" name="EUGEN-T14-R046"/>
  <param value="//cac:TaxSubtotal[cac:TaxCategory/cac:TaxScheme/cbc:ID = 'VAT']" name="VAT_category"/>
  <param value="//cbc:CreditNoteTypeCode" name="Credit_Note_Type_Code"/>
  <param value="//cac:CreditNoteLine" name="Credit_Note_Line"/>
  <param value="//cac:InvoicePeriod" name="Credit_Note_Period_Information"/>
  <param value="/ubl:CreditNote" name="Credit_Note"/>
  <param value="//cac:LegalMonetaryTotal" name="Total_Credit_Note"/>
  <param value="//*[contains(name(),'Quantity')]" name="Unit_Code"/>
  <param value="//cac:TaxCategory/cbc:ID" name="Tax_Category_Identifier"/>
  <param value="//cac:TaxCategory" name="Tax_Category"/>
  <param value="//cac:PartyIdentification/cbc:ID" name="Party_Identifier"/>
  <param value="//cbc:EndpointID" name="Endpoint"/>
  <param value="//cbc:DocumentTypeCode" name="Document_Type_Code"/>
  <param value="//*[contains(name(),'CurrencyCode')]" name="Currency_Code"/>
  <param value="//cac:Country/cbc:IdentificationCode" name="Country_Identification_Code"/>
  <param value="//cbc:AllowanceChargeReasonCode" name="Allowance_Charge_Reason_Code"/>
  <param value="//cac:AccountingSupplierParty" name="Supplier"/>
  <param value="//cac:AccountingCustomerParty" name="Customer"/>
  <param value="/ubl:CreditNote/cac:TaxTotal" name="Tax_Total"/>
  <param value="//cac:TaxExchangeRate" name="Tax_Exchange"/>
  <param value="/ubl:CreditNote/cac:AllowanceCharge" name="Allowance_Charge"/>
  <param value="//cac:DeliveryLocation/cbc:ID" name="Delivery_Location_Identifier"/>
  <param value="//cac:PayeeFinancialAccount/cbc:ID" name="Financial_Account_Identifier"/>
  <param value="//cac:PaymentMeans" name="Payment_Means"/>
</pattern>
