<!-- Schematron rules generated automatically. -->
<!-- Abstract rules for T01 -->
<!-- (2009). Invinet Sistemes -->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="T01">
  <rule context="$Allowance_Charges">
    <assert test="$BII2-T01-R007" flag="fatal">[BII2-T01-R007]-Allowances and charges MUST have a reason</assert>
  </rule>
  <rule context="$Buyer">
    <assert test="$BII2-T01-R021" flag="fatal">[BII2-T01-R021]-An order MUST have the buyer party name or a buyer party identifier</assert>
  </rule>
  <rule context="$Country_identification">
    <assert test="$EUGEN-T01-R015" flag="fatal">[EUGEN-T01-R015]-A country identification code MUST have a list identifier attribute &#8220;ISO3166-1:Alpha2&#8221;</assert>
  </rule>
  <rule context="$Document_Currency">
    <assert test="$EUGEN-T01-R014" flag="fatal">[EUGEN-T01-R014]-A document currency code MUST have a list identifier attribute &#8220;ISO4217&#8221;</assert>
  </rule>
  <rule context="$Endpoint">
    <assert test="$EUGEN-T01-R011" flag="fatal">[EUGEN-T01-R011]-An endpoint identifier MUST have a scheme identifier attribute</assert>
  </rule>
  <rule context="$Expected_totals">
    <assert test="$BII2-T01-R012" flag="fatal">[BII2-T01-R012]-Expected total amount for payment MUST NOT be negative</assert>
    <assert test="$BII2-T01-R013" flag="fatal">[BII2-T01-R013]-Expected total sum of line amounts MUST NOT be negative</assert>
    <assert test="$BII2-T01-R015" flag="fatal">[BII2-T01-R015]-Expected total sum of allowance at document level MUST be equal to the sum of allowance amounts at document level</assert>
    <assert test="$BII2-T01-R016" flag="fatal">[BII2-T01-R016]-Expected total sum of charges at document level MUST be equal to the sum of charges at document level</assert>
    <assert test="$BII2-T01-R017" flag="fatal">[BII2-T01-R017]-Expected total amount for payment MUST be equal to the sum of line amounts minus sum of allowances at document level plus sum of charges at document level  and VAT total amount</assert>
    <assert test="$BII2-T01-R014" flag="fatal">[BII2-T01-R014]-Expected total sum of line amounts MUST equal the sum of the order line amounts at order line level</assert>
  </rule>
  <rule context="$Item_property">
    <assert test="$BII2-T01-R019" flag="fatal">[BII2-T01-R019]-Each item property MUST have a data name, if item property is provided</assert>
    <assert test="$BII2-T01-R020" flag="fatal">[BII2-T01-R020]-Each item property MUST have a data value, if item property is provided</assert>
  </rule>
  <rule context="$Order">
    <assert test="$BII2-T01-R001" flag="fatal">[BII2-T01-R001]-An order MUST have a customization identifier</assert>
    <assert test="$BII2-T01-R002" flag="fatal">[BII2-T01-R002]-An order MUST have a profile identifier</assert>
    <assert test="$BII2-T01-R004" flag="fatal">[BII2-T01-R004]-An order MUST have a document issue date</assert>
    <assert test="$BII2-T01-R005" flag="warning">[BII2-T01-R005]-An order SHOULD provide information about its validity end date</assert>
    <assert test="$BII2-T01-R006" flag="fatal">[BII2-T01-R006]-An order MUST have a document identifier</assert>
    <assert test="$BII2-T01-R009" flag="fatal">[BII2-T01-R009]-An order MUST be stated in a single currency</assert>
    <assert test="$BII2-T01-R018" flag="warning">[BII2-T01-R018]-VAT total amount SHOULD be the sum of order line tax amounts, if order line tax amounts are provided</assert>
  </rule>
  <rule context="$Order_Line">
    <assert test="$BII2-T01-R003" flag="fatal">[BII2-T01-R003]-Each order line MUST have a document line identifier that is unique within the order</assert>
    <assert test="$BII2-T01-R010" flag="fatal">[BII2-T01-R010]-Each order line ordered quantity MUST not be negative</assert>
    <assert test="$BII2-T01-R011" flag="fatal">[BII2-T01-R011]-Each order line item net price MUST not be negative</assert>
    <assert test="$BII2-T01-R029" flag="warning">[BII2-T01-R029]-Each order line SHOULD have an ordered quantity</assert>
    <assert test="$BII2-T01-R030" flag="fatal">[BII2-T01-R030]-Each order line ordered quantity  MUST have an associated unit of measure</assert>
    <assert test="$BII2-T01-R031" flag="fatal">[BII2-T01-R031]-Each order line MUST have an item identifier and/or an item name</assert>
  </rule>
  <rule context="$Order_Type">
    <assert test="$EUGEN-T01-R013" flag="fatal">[EUGEN-T01-R013]-An order type code MUST have a list identifier attribute &#8220;UNCL1001&#8221;</assert>
  </rule>
  <rule context="$Party_Identifier">
    <assert test="$EUGEN-T01-R012" flag="fatal">[EUGEN-T01-R012]-A party identifier MUST have a scheme identifier attribute</assert>
  </rule>
  <rule context="$Seller">
    <assert test="$BII2-T01-R022" flag="fatal">[BII2-T01-R022]-An order MUST have the seller party name or a seller party identifier</assert>
  </rule>
  <rule context="$Tax_Category_Identifier">
    <assert test="$EUGEN-T01-R017" flag="fatal">[EUGEN-T01-R017]-A tax category identifier MUST have a scheme identifier attribute &#8220;UNCL5305&#8221;</assert>
  </rule>
  <rule context="$Unit_Code">
    <assert test="$EUGEN-T01-R016" flag="fatal">[EUGEN-T01-R016]-A unit code attribute MUST have a unit code list identifier attribute &#8220;UNECERec20&#8221;</assert>
  </rule>
</pattern>
