<!-- Schematron rules generated automatically. -->
<!-- Abstract rules for T14 -->
<!-- (2009). Invinet Sistemes -->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="T14">
  <rule context="$Allowance_Charge">
    <assert test="$BII2-T14-R025" flag="fatal">[BII2-T14-R025]-Each document level allowance or charge details MUST have an allowance and charge reason text</assert>
    <assert test="$BII2-T14-R043" flag="fatal">[BII2-T14-R043]-Document level allowances and charges details MUST have allowance and charge VAT category if the credit note has a VAT total amount</assert>
    <assert test="$EUGEN-T14-R012" flag="fatal">[EUGEN-T14-R012]-An allowance percentage MUST NOT be negative.</assert>
    <assert test="$EUGEN-T14-R022" flag="fatal">[EUGEN-T14-R022]-An allowance or charge amount MUST NOT be negative.</assert>
  </rule>
  <rule context="$Allowance_Charge_Reason_Code">
    <assert test="$EUGEN-T14-R029" flag="fatal">[EUGEN-T14-R029]-An allowance charge reason code MUST have a list identifier attribute 'UNCL4465'.</assert>
  </rule>
  <rule context="$Country_Identification_Code">
    <assert test="$EUGEN-T14-R027" flag="fatal">[EUGEN-T14-R027]-A country identification code MUST have a list identifier attribute 'ISO3166-1:Alpha2'.</assert>
  </rule>
  <rule context="$Credit_Note">
    <assert test="$BII2-T14-R001" flag="fatal">[BII2-T14-R001]-A credit note MUST have a customization identifier</assert>
    <assert test="$BII2-T14-R002" flag="fatal">[BII2-T14-R002]-A credit note MUST have a business process identifier</assert>
    <assert test="$BII2-T14-R003" flag="fatal">[BII2-T14-R003]-A credit note MUST have a credit note identifier</assert>
    <assert test="$BII2-T14-R004" flag="fatal">[BII2-T14-R004]-A credit note MUST have a credit note issue date</assert>
    <assert test="$BII2-T14-R005" flag="fatal">[BII2-T14-R005]-A credit note MUST specify the currency code for the document</assert>
    <assert test="$BII2-T14-R006" flag="fatal">[BII2-T14-R006]-A credit note MUST have a seller name and/or a seller identifier</assert>
    <assert test="$BII2-T14-R008" flag="fatal">[BII2-T14-R008]-A credit note MUST have a buyer name and/or a buyer identifier</assert>
    <assert test="$BII2-T14-R010" flag="fatal">[BII2-T14-R010]-A credit note MUST have the sum of line amounts</assert>
    <assert test="$BII2-T14-R011" flag="fatal">[BII2-T14-R011]-A credit note MUST have the credit note total without VAT</assert>
    <assert test="$BII2-T14-R012" flag="fatal">[BII2-T14-R012]-A credit note MUST have the credit note total with VAT (value of purchase)</assert>
    <assert test="$BII2-T14-R013" flag="fatal">[BII2-T14-R013]-A credit note MUST have the amount due for payment</assert>
    <assert test="$BII2-T14-R014" flag="fatal">[BII2-T14-R014]-A credit note MUST have at least one credit note line</assert>
    <assert test="$BII2-T14-R015" flag="fatal">[BII2-T14-R015]-A credit note MUST specify the VAT total amount, if there are VAT line amounts</assert>
    <assert test="$BII2-T14-R026" flag="fatal">[BII2-T14-R026]-A credit note MUST contain VAT category details  unless VAT total amount is omitted.</assert>
    <assert test="$BII2-T14-R035" flag="fatal">[BII2-T14-R035]-Credit Note total with VAT MUST NOT be negative</assert>
    <assert test="$BII2-T14-R037" flag="fatal">[BII2-T14-R037]-Amount due for payment in a credit note MUST NOT be negative</assert>
    <assert test="$BII2-T14-R044" flag="fatal">[BII2-T14-R044]-A seller VAT identifier MUST be provided if the credit note has a VAT total amount</assert>
    <assert test="$BII2-T14-R047" flag="fatal">[BII2-T14-R047]-A buyer VAT identifier MUST be present if the VAT category code is reverse VAT</assert>
    <assert test="$BII2-T14-R048" flag="fatal">[BII2-T14-R048]-A credit note with a VAT category code of reverse charge MUST NOT contain other VAT categories.</assert>
    <assert test="$BII2-T14-R049" flag="fatal">[BII2-T14-R049]-The credit note total without VAT MUST be equal to the VAT category taxable amount if the VAT category code is reverse charge</assert>
    <assert test="$BII2-T14-R050" flag="fatal">[BII2-T14-R050]-The VAT category tax amount MUST be zero  if the VAT category code is reverse charge (since there is only one VAT category allowed it follows that the credit note tax total for reverse charge credit notes is zero)</assert>
    <assert test="$EUGEN-T14-R044" flag="fatal">[EUGEN-T14-R044]-If the tax currency code is different from the document currency code, the tax exchange rate MUST be provided</assert>
  </rule>
  <rule context="$Credit_Note_Line">
    <assert test="$BII2-T14-R017" flag="fatal">[BII2-T14-R017]-Each credit note line MUST have a credit note line identifier</assert>
    <assert test="$BII2-T14-R018" flag="fatal">[BII2-T14-R018]-Each credit note line MUST have a credit noted quantity</assert>
    <assert test="$BII2-T14-R019" flag="fatal">[BII2-T14-R019]-Each credit note line MUST have a quantity unit of measure</assert>
    <assert test="$BII2-T14-R020" flag="fatal">[BII2-T14-R020]-Each credit note line MUST have a credit note line net amount</assert>
    <assert test="$BII2-T14-R021" flag="fatal">[BII2-T14-R021]-Each credit note line MUST have a credit note line item name and/or the credit note line item identifier</assert>
    <assert test="$BII2-T14-R032" flag="fatal">[BII2-T14-R032]-A scheme identifier for the credit note line item registered identifier MUST be provided if credit note line item registered identifiers are used to identify a product.(e.g. GTIN)</assert>
    <assert test="$BII2-T14-R033" flag="fatal">[BII2-T14-R033]-A scheme identifier for a credit note line item commodity classification MUST be provided if credit note line item commodity classification are used to classify a credit note line item (e.g. CPV or UNSPSC)</assert>
    <assert test="$BII2-T14-R034" flag="fatal">[BII2-T14-R034]-Credit Note line item net price MUST NOT be negative</assert>
    <assert test="$BII2-T14-R046" flag="fatal">[BII2-T14-R046]-Each credit note line MUST be categorized with the credit note line VAT category if the credit note has a VAT total amount </assert>
  </rule>
  <rule context="$Credit_Note_Period_Information">
    <assert test="$BII2-T14-R023" flag="fatal">[BII2-T14-R023]-Each credit note period information MUST have a credit note period start date</assert>
    <assert test="$BII2-T14-R024" flag="fatal">[BII2-T14-R024]-Each credit note period information MUST have a credit note period end date</assert>
    <assert test="$BII2-T14-R031" flag="fatal">[BII2-T14-R031]-A credit note period end date MUST be later or equal to a credit note period start date</assert>
  </rule>
  <rule context="$Credit_Note_Type_Code">
    <assert test="$EUGEN-T14-R025" flag="fatal">[EUGEN-T14-R025]-A credit note type code MUST have a list identifier attribute 'UNCL1001'.</assert>
  </rule>
  <rule context="$Currency_Code">
    <assert test="$EUGEN-T14-R026" flag="fatal">[EUGEN-T14-R026]-A currency code element MUST have a list identifier attribute 'ISO4217'.</assert>
  </rule>
  <rule context="$Customer">
    <assert test="$EUGEN-T14-R036" flag="fatal">[EUGEN-T14-R036]-An credit note MUST have a buyer name</assert>
    <assert test="$EUGEN-T14-R038" flag="fatal">[EUGEN-T14-R038]-An credit note MUST have a buyer postal address</assert>
    <assert test="$EUGEN-T14-R040" flag="warning">[EUGEN-T14-R040]-A customer SHOULD provide information about its legal entity information</assert>
  </rule>
  <rule context="$Delivery_Location_Identifier">
    <assert test="$EUGEN-T14-R034" flag="fatal">[EUGEN-T14-R034]-An delivery location identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="$Document_Type_Code">
    <assert test="$EUGEN-T14-R033" flag="fatal">[EUGEN-T14-R033]-A document type code MUST have a list identifier attribute 'UNCL1001'.</assert>
  </rule>
  <rule context="$Endpoint">
    <assert test="$EUGEN-T14-R023" flag="fatal">[EUGEN-T14-R023]-An endpoint identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="$Financial_Account_Identifier">
    <assert test="$EUGEN-T14-R031" flag="fatal">[EUGEN-T14-R031]-A financial account identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="$Party_Identifier">
    <assert test="$EUGEN-T14-R024" flag="fatal">[EUGEN-T14-R024]-A party identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="$Payment_Means">
    <assert test="$EUGEN-T14-R004" flag="warning">[EUGEN-T14-R004]-If the payment means are international account transfer and the account id is IBAN then the financial institution should be identified by using the BIC id.</assert>
    <assert test="$OP-T14-R039" flag="fatal">[OP-T14-R039]-An account identifier MUST be present if payment means type is funds transfer</assert>
    <assert test="$OP-T14-R040" flag="fatal">[OP-T14-R040]-A sellers financial institution identifier MUST be provided if the scheme of the account identifier is IBAN and the payment means is international bank transfer</assert>
    <assert test="$OP-T14-R041" flag="fatal">[OP-T14-R041]-A payment means MUST specify the payment means type</assert>
    <assert test="$OP-T14-R042" flag="fatal">[OP-T14-R042]-A sellers financial institution identifier scheme MUST be BIC if the scheme of the account identifier is IBAN and the payment means type is international account transfer </assert>
  </rule>
  <rule context="$Supplier">
    <assert test="$EUGEN-T14-R035" flag="fatal">[EUGEN-T14-R035]-An credit note MUST have a seller name</assert>
    <assert test="$EUGEN-T14-R037" flag="fatal">[EUGEN-T14-R037]-An credit note MUST have a seller postal address</assert>
    <assert test="$EUGEN-T14-R039" flag="warning">[EUGEN-T14-R039]-A supplier SHOULD provide information about its legal entity information</assert>
    <assert test="$EUGEN-T14-R041" flag="fatal">[EUGEN-T14-R041]-The VAT identifier for the supplier MUST be prefixed with country code.</assert>
  </rule>
  <rule context="$Tax_Category">
    <assert test="$EUGEN-T14-R008" flag="fatal">[EUGEN-T14-R008]-For each tax subcategory the category ID and the applicable tax percentage MUST be provided.</assert>
  </rule>
  <rule context="$Tax_Category_Identifier">
    <assert test="$EUGEN-T14-R032" flag="fatal">[EUGEN-T14-R032]-A tax category identifier MUST have a scheme identifier attribute 'UNCL5305'.</assert>
  </rule>
  <rule context="$Tax_Exchange">
    <assert test="$EUGEN-T14-R045" flag="fatal">[EUGEN-T14-R045]-Tax exchange rate MUST specify the calculation rate and the operator code.</assert>
  </rule>
  <rule context="$Tax_Total">
    <assert test="$EUGEN-T14-R043" flag="fatal">[EUGEN-T14-R043]-The total tax amount MUST equal the sum of tax amounts per category.</assert>
  </rule>
  <rule context="$Total_Credit_Note">
    <assert test="$BII2-T14-R051" flag="fatal">[BII2-T14-R051]-Sum of line amounts MUST equal the credit note line net amounts</assert>
    <assert test="$BII2-T14-R052" flag="fatal">[BII2-T14-R052]-A credit note total without VAT MUST equal the sum of line amounts plus the sum of charges on document level minus the sum of allowances on document level</assert>
    <assert test="$BII2-T14-R053" flag="fatal">[BII2-T14-R053]-A credit note total with VAT MUST equal the credit note total without VAT plus the VAT total amount and the rounding of credit note total</assert>
    <assert test="$BII2-T14-R054" flag="fatal">[BII2-T14-R054]-The sum of allowances at document level MUST be equal to the sum of document level allowance amounts</assert>
    <assert test="$BII2-T14-R055" flag="fatal">[BII2-T14-R055]-The sum of charges at document level MUST be equal to the sum of document level charge amounts</assert>
    <assert test="$BII2-T14-R056" flag="fatal">[BII2-T14-R056]-Amount due for payment MUST be equal to the credit note total amount with VAT minus the paid amounts</assert>
    <assert test="$BII2-T14-R058" flag="fatal">[BII2-T14-R058]-Credit Note total without VAT MUST be equal to the sum of VAT category taxable amounts</assert>
  </rule>
  <rule context="$Unit_Code">
    <assert test="$EUGEN-T14-R030" flag="fatal">[EUGEN-T14-R030]-A unit code attribute MUST have a unit code list identifier attribute 'UNECERec20'.</assert>
  </rule>
  <rule context="$VAT_category">
    <assert test="$BII2-T14-R027" flag="fatal">[BII2-T14-R027]-Each VAT category details MUST have a VAT category taxable amount</assert>
    <assert test="$BII2-T14-R028" flag="fatal">[BII2-T14-R028]-Each VAT category details MUST have a VAT category tax amount</assert>
    <assert test="$BII2-T14-R029" flag="fatal">[BII2-T14-R029]-Every VAT category details MUST be defined through a VAT category code</assert>
    <assert test="$BII2-T14-R030" flag="fatal">[BII2-T14-R030]-The VAT category percentage MUST be provided if the VAT category code is standard.</assert>
    <assert test="$BII2-T14-R045" flag="fatal">[BII2-T14-R045]-A VAT exemption reason MUST be provided if the VAT category code is exempt  or reverse charge.</assert>
    <assert test="$EUGEN-T14-R042" flag="fatal">[EUGEN-T14-R042]-The tax amount per category MUST be the taxable amount multiplied by the category percentage.</assert>
    <assert test="$EUGEN-T14-R046" flag="fatal">[EUGEN-T14-R046]-If the tax currency code is different from the document currency code, each tax subtotal has to include the tax amount in both currencies</assert>
  </rule>
</pattern>
