<!-- Schematron rules generated automatically. -->
<!-- Abstract rules for T16 -->
<!-- (2009). Invinet Sistemes -->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="T16">
  <rule context="$unit_code">
    <assert test="$EUGEN-T16-R004" flag="fatal">[EUGEN-T16-R004]-A unit code attribute MUST have a unit code list identifier attribute UNECERec20.</assert>
  </rule>
  <rule context="$undg_code">
    <assert test="$EUGEN-T16-R005" flag="fatal">[EUGEN-T16-R005]-A UNDG code MUST have a list identifier attribute UNCL8273</assert>
  </rule>
  <rule context="$transport_handling_unit_type">
    <assert test="$EUGEN-T16-R006" flag="fatal">[EUGEN-T16-R006]-A transport handling unit type code MUST have a list identifier attribute UNECERec21.</assert>
  </rule>
  <rule context="$Item">
    <assert test="$BII2-T16-R018" flag="fatal">[BII2-T16-R018]-An item standard identifier MUST have an identification schema (e.g. GTIN)</assert>
  </rule>
  <rule context="$despatched_shipment">
    <assert test="$BII2-T16-R011" flag="fatal">[BII2-T16-R011]-Shipment identifier MUST be provided if the despatch advice contains shipment information</assert>
  </rule>
  <rule context="$Despatch_Party">
    <assert test="$BII2-T16-R007" flag="warning">[BII2-T16-R007]-A Despatch party SHOULD have the Despatch party name</assert>
  </rule>
  <rule context="$despatch_advice_Line">
    <assert test="$BII2-T16-R013" flag="fatal">[BII2-T16-R013]-Each despatch advice line MUST have a despatch line identifier that is unique within the despatch advice</assert>
    <assert test="$BII2-T16-R016" flag="fatal">[BII2-T16-R016]-Each despatch advice line MUST have an item identifier and/or an item name</assert>
    <assert test="$BII2-T16-R017" flag="warning">[BII2-T16-R017]-Each despatch advice line SHOULD have a delivered quantity</assert>
    <assert test="$BII2-T16-R019" flag="fatal">[BII2-T16-R019]-Each despatch advice line delivered quantity MUST not be negative</assert>
    <assert test="$BII2-T16-R020" flag="warning">[BII2-T16-R020]-Each despatch advice line delivered quantity  SHOULD have an associated unit of measure</assert>
    <assert test="$BII2-T16-R021" flag="warning">[BII2-T16-R021]-An outstanding quantity reason SHOULD be provided if the despatch line contains an outstanding quantity</assert>
  </rule>
  <rule context="$despatch_advice">
    <assert test="$BII2-T16-R001" flag="fatal">[BII2-T16-R001]-A despatch advice MUST have a customization identifier</assert>
    <assert test="$BII2-T16-R002" flag="fatal">[BII2-T16-R002]-A despatch advice MUST have a profile identifier</assert>
    <assert test="$BII2-T16-R003" flag="fatal">[BII2-T16-R003]-A despatch advice MUST have a document identifier</assert>
    <assert test="$BII2-T16-R004" flag="fatal">[BII2-T16-R004]-A despatch advice MUST have a document issue date</assert>
    <assert test="$BII2-T16-R005" flag="warning">[BII2-T16-R005]-A despatch advice SHOULD have an order identifier</assert>
    <assert test="$BII2-T16-R006" flag="fatal">[BII2-T16-R006]-A despatch advice MUST have a Despatch party</assert>
    <assert test="$BII2-T16-R008" flag="fatal">[BII2-T16-R008]-A despatch advice MUST have a consignee party</assert>
    <assert test="$BII2-T16-R012" flag="fatal">[BII2-T16-R012]-A despatch advice MUST have at least one despatch advice line</assert>
  </rule>
  <rule context="$endpoint">
    <assert test="$EUGEN-T16-R001" flag="fatal">[EUGEN-T16-R001]-An endpoint identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="$despatch_advice">
    <assert test="$EUGEN-T16-R002" flag="fatal">[EUGEN-T16-R002]-A party identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="$country">
    <assert test="$EUGEN-T16-R003" flag="fatal">[EUGEN-T16-R003]-A country identification code MUST have a list identifier attribute ISO3166-1:Alpha2.</assert>
  </rule>
  <rule context="$Consignee_Party">
    <assert test="$BII2-T16-R009" flag="warning">[BII2-T16-R009]-A consignee party SHOULD have the party name or a party identifier</assert>
  </rule>
</pattern>
