<?xml version="1.0" encoding="utf-8"?><!-- 

        	UBL syntax binding to the T16   
        	Author: Oriol Bausà

     --><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:UBL="urn:oasis:names:specification:ubl:schema:xsd:DespatchAdvice-2" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" queryBinding="xslt2">
  <title>BIIRULES  T16 bound to UBL</title>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:DespatchAdvice-2"/>
  <phase id="BIIRULEST16_phase">
    <active pattern="UBL-T16"/>
  </phase>
  <!-- Abstract CEN BII patterns -->
  <!-- ========================= -->
  <?DSDL_INCLUDE_START abstract/BIIRULES-T16.sch?><pattern abstract="true" id="T16">
  <rule context="$unit_code">
    <assert test="$EUGEN-T16-R004" flag="fatal">[EUGEN-T16-R004]-A unit code attribute MUST have a unit code list identifier attribute UNECERec20.</assert>
  </rule>
  <rule context="$undg_code">
    <assert test="$EUGEN-T16-R005" flag="fatal">[EUGEN-T16-R005]-A UNDG code MUST have a list identifier attribute UNCL8273</assert>
  </rule>
  <rule context="$transport_handling_unit_type">
    <assert test="$EUGEN-T16-R006" flag="fatal">[EUGEN-T16-R006]-A transport handling unit type code MUST have a list identifier attribute UNECERec21.</assert>
  </rule>
  <rule context="$Item">
    <assert test="$BII2-T16-R018" flag="fatal">[BII2-T16-R018]-An item standard identifier MUST have an identification schema (e.g. GTIN)</assert>
  </rule>
  <rule context="$despatched_shipment">
    <assert test="$BII2-T16-R011" flag="fatal">[BII2-T16-R011]-Shipment identifier MUST be provided if the despatch advice contains shipment information</assert>
  </rule>
  <rule context="$Despatch_Party">
    <assert test="$BII2-T16-R007" flag="warning">[BII2-T16-R007]-A Despatch party SHOULD have the Despatch party name</assert>
  </rule>
  <rule context="$despatch_advice_Line">
    <assert test="$BII2-T16-R013" flag="fatal">[BII2-T16-R013]-Each despatch advice line MUST have a despatch line identifier that is unique within the despatch advice</assert>
    <assert test="$BII2-T16-R016" flag="fatal">[BII2-T16-R016]-Each despatch advice line MUST have an item identifier and/or an item name</assert>
    <assert test="$BII2-T16-R017" flag="warning">[BII2-T16-R017]-Each despatch advice line SHOULD have a delivered quantity</assert>
    <assert test="$BII2-T16-R019" flag="fatal">[BII2-T16-R019]-Each despatch advice line delivered quantity MUST not be negative</assert>
    <assert test="$BII2-T16-R020" flag="warning">[BII2-T16-R020]-Each despatch advice line delivered quantity  SHOULD have an associated unit of measure</assert>
    <assert test="$BII2-T16-R021" flag="warning">[BII2-T16-R021]-An outstanding quantity reason SHOULD be provided if the despatch line contains an outstanding quantity</assert>
  </rule>
  <rule context="$despatch_advice">
    <assert test="$BII2-T16-R001" flag="fatal">[BII2-T16-R001]-A despatch advice MUST have a customization identifier</assert>
    <assert test="$BII2-T16-R002" flag="fatal">[BII2-T16-R002]-A despatch advice MUST have a profile identifier</assert>
    <assert test="$BII2-T16-R003" flag="fatal">[BII2-T16-R003]-A despatch advice MUST have a document identifier</assert>
    <assert test="$BII2-T16-R004" flag="fatal">[BII2-T16-R004]-A despatch advice MUST have a document issue date</assert>
    <assert test="$BII2-T16-R005" flag="warning">[BII2-T16-R005]-A despatch advice SHOULD have an order identifier</assert>
    <assert test="$BII2-T16-R006" flag="fatal">[BII2-T16-R006]-A despatch advice MUST have a Despatch party</assert>
    <assert test="$BII2-T16-R008" flag="fatal">[BII2-T16-R008]-A despatch advice MUST have a consignee party</assert>
    <assert test="$BII2-T16-R012" flag="fatal">[BII2-T16-R012]-A despatch advice MUST have at least one despatch advice line</assert>
  </rule>
  <rule context="$endpoint">
    <assert test="$EUGEN-T16-R001" flag="fatal">[EUGEN-T16-R001]-An endpoint identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="$despatch_advice">
    <assert test="$EUGEN-T16-R002" flag="fatal">[EUGEN-T16-R002]-A party identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="$country">
    <assert test="$EUGEN-T16-R003" flag="fatal">[EUGEN-T16-R003]-A country identification code MUST have a list identifier attribute ISO3166-1:Alpha2.</assert>
  </rule>
  <rule context="$Consignee_Party">
    <assert test="$BII2-T16-R009" flag="warning">[BII2-T16-R009]-A consignee party SHOULD have the party name or a party identifier</assert>
  </rule>
</pattern><?DSDL_INCLUDE_END abstract/BIIRULES-T16.sch?>
  <!-- Data Binding parameters -->
  <!-- ======================= -->
  <?DSDL_INCLUDE_START UBL/BIIRULES-UBL-T16.sch?><pattern is-a="T16" id="UBL-T16">
  <param value="(cbc:CustomizationID)" name="BII2-T16-R001"/>
  <param value="(cbc:ProfileID)" name="BII2-T16-R002"/>
  <param value="(cbc:ID)" name="BII2-T16-R003"/>
  <param value="(cbc:IssueDate)" name="BII2-T16-R004"/>
  <param value="(cac:OrderReference/cbc:ID)" name="BII2-T16-R005"/>
  <param value="(//cac:DespatchSupplierParty)" name="BII2-T16-R006"/>
  <param value="(cac:Party/cac:PartyName/cbc:Name)" name="BII2-T16-R007"/>
  <param value="(//cac:DeliveryCustomerParty)" name="BII2-T16-R008"/>
  <param value="(cac:Party/cac:PartyName/cbc:Name)" name="BII2-T16-R009"/>
  <param value="(cbc:ID)" name="BII2-T16-R011"/>
  <param value="(cac:DespatchLine)" name="BII2-T16-R012"/>
  <param value="(cbc:ID)" name="BII2-T16-R013"/>
  <param value="(cac:Item/cbc:Name) or (cac:Item/cac:StandardItemIdentification/cbc:ID) or  (cac:Item/cac:SellersItemIdentification/cbc:ID)" name="BII2-T16-R016"/>
  <param value="(cbc:DeliveredQuantity)" name="BII2-T16-R017"/>
  <param value="(//cac:StandardItemIdentification/cbc:ID/@schemeID) or not(//cac:StandardItemIdentification)" name="BII2-T16-R018"/>
  <param value="number(cbc:DeliveredQuantity) &amp;gt;= 0" name="BII2-T16-R019"/>
  <param value="(cbc:DeliveredQuantity/@unitCode)" name="BII2-T16-R020"/>
  <param value="((cbc:OutstandingQuantity) and (cbc:OutstandingReason)) or not(cbc:OutstandingQuantity)" name="BII2-T16-R021"/>
  <param value="@schemeID" name="EUGEN-T16-R001"/>
  <param value="(//cac:DespatchSupplierParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID) and (//cac:DeliveryCustomerParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID)" name="EUGEN-T16-R002"/>
  <param value="(cbc:IdentificationCode/@listID='ISO3166-1:Alpha2')" name="EUGEN-T16-R003"/>
  <param value="not(attribute::unitCode) or (attribute::unitCode and attribute::unitCodeListID = 'UNECERec20')" name="EUGEN-T16-R004"/>
  <param value="@listID = 'UNCL8273'" name="EUGEN-T16-R005"/>
  <param value="@listID = 'UNECERec21'" name="EUGEN-T16-R006"/>
  <param value="//*[contains(name(),'Quantity')]" name="unit_code"/>
  <param value="cbc:UNDGCode" name="undg_code"/>
  <param value="cbc:TransportHandlingUnitTypeCode" name="transport_handling_unit_type"/>
  <param value="//cac:Item" name="Item"/>
  <param value="//cac:Shipment" name="despatched_shipment"/>
  <param value="//cac:DespatchSupplierParty" name="Despatch_Party"/>
  <param value="//cac:DeliveryCustomerParty/cac:Party/cac:PostalAddress" name="despatch_delivery_address"/>
  <param value="//cac:DespatchLine" name="despatch_advice_Line"/>
  <param value="/ubl:DespatchAdvice" name="despatch_advice"/>
  <param value="/cac:Country" name="country"/>
  <param value="//cac:DeliveryCustomerParty" name="Consignee_Party"/>
  <param value="//cbc:EndpointID" name="endpoint"/>
</pattern><?DSDL_INCLUDE_END UBL/BIIRULES-UBL-T16.sch?>
</schema>