<?xml version="1.0" encoding="utf-8"?><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:UBL="urn:oasis:names:specification:ubl:schema:xsd:DespatchAdvice-2" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" queryBinding="xslt2">
  <title>BIIRULES  T16 bound to UBL</title>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:DespatchAdvice-2"/>
  <phase id="BIIRULEST16_phase">
    <active pattern="UBL-T16"/>
  </phase>
  
  
  <!--Suppressed abstract pattern T16 was here-->
  
  
  <!--Start pattern based on abstract T16--><pattern id="UBL-T16">
  <rule context="//*[contains(name(),'Quantity')]">
    <assert test="not(attribute::unitCode) or (attribute::unitCode and attribute::unitCodeListID = 'UNECERec20')" flag="fatal">[EUGEN-T16-R004]-A unit code attribute MUST have a unit code list identifier attribute UNECERec20.</assert>
  </rule>
  <rule context="cbc:UNDGCode">
    <assert test="@listID = 'UNCL8273'" flag="fatal">[EUGEN-T16-R005]-A UNDG code MUST have a list identifier attribute UNCL8273</assert>
  </rule>
  <rule context="cbc:TransportHandlingUnitTypeCode">
    <assert test="@listID = 'UNECERec21'" flag="fatal">[EUGEN-T16-R006]-A transport handling unit type code MUST have a list identifier attribute UNECERec21.</assert>
  </rule>
  <rule context="//cac:Item">
    <assert test="(//cac:StandardItemIdentification/cbc:ID/@schemeID) or not(//cac:StandardItemIdentification)" flag="fatal">[BII2-T16-R018]-An item standard identifier MUST have an identification schema (e.g. GTIN)</assert>
  </rule>
  <rule context="//cac:Shipment">
    <assert test="(cbc:ID)" flag="fatal">[BII2-T16-R011]-Shipment identifier MUST be provided if the despatch advice contains shipment information</assert>
  </rule>
  <rule context="//cac:DespatchSupplierParty">
    <assert test="(cac:Party/cac:PartyName/cbc:Name)" flag="warning">[BII2-T16-R007]-A Despatch party SHOULD have the Despatch party name</assert>
  </rule>
  <rule context="//cac:DespatchLine">
    <assert test="(cbc:ID)" flag="fatal">[BII2-T16-R013]-Each despatch advice line MUST have a despatch line identifier that is unique within the despatch advice</assert>
    <assert test="(cac:Item/cbc:Name) or (cac:Item/cac:StandardItemIdentification/cbc:ID) or  (cac:Item/cac:SellersItemIdentification/cbc:ID)" flag="fatal">[BII2-T16-R016]-Each despatch advice line MUST have an item identifier and/or an item name</assert>
    <assert test="(cbc:DeliveredQuantity)" flag="warning">[BII2-T16-R017]-Each despatch advice line SHOULD have a delivered quantity</assert>
    <assert test="number(cbc:DeliveredQuantity) &amp;gt;= 0" flag="fatal">[BII2-T16-R019]-Each despatch advice line delivered quantity MUST not be negative</assert>
    <assert test="(cbc:DeliveredQuantity/@unitCode)" flag="warning">[BII2-T16-R020]-Each despatch advice line delivered quantity  SHOULD have an associated unit of measure</assert>
    <assert test="((cbc:OutstandingQuantity) and (cbc:OutstandingReason)) or not(cbc:OutstandingQuantity)" flag="warning">[BII2-T16-R021]-An outstanding quantity reason SHOULD be provided if the despatch line contains an outstanding quantity</assert>
  </rule>
  <rule context="/ubl:DespatchAdvice">
    <assert test="(cbc:CustomizationID)" flag="fatal">[BII2-T16-R001]-A despatch advice MUST have a customization identifier</assert>
    <assert test="(cbc:ProfileID)" flag="fatal">[BII2-T16-R002]-A despatch advice MUST have a profile identifier</assert>
    <assert test="(cbc:ID)" flag="fatal">[BII2-T16-R003]-A despatch advice MUST have a document identifier</assert>
    <assert test="(cbc:IssueDate)" flag="fatal">[BII2-T16-R004]-A despatch advice MUST have a document issue date</assert>
    <assert test="(cac:OrderReference/cbc:ID)" flag="warning">[BII2-T16-R005]-A despatch advice SHOULD have an order identifier</assert>
    <assert test="(//cac:DespatchSupplierParty)" flag="fatal">[BII2-T16-R006]-A despatch advice MUST have a Despatch party</assert>
    <assert test="(//cac:DeliveryCustomerParty)" flag="fatal">[BII2-T16-R008]-A despatch advice MUST have a consignee party</assert>
    <assert test="(cac:DespatchLine)" flag="fatal">[BII2-T16-R012]-A despatch advice MUST have at least one despatch advice line</assert>
  </rule>
  <rule context="//cbc:EndpointID">
    <assert test="@schemeID" flag="fatal">[EUGEN-T16-R001]-An endpoint identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="/ubl:DespatchAdvice">
    <assert test="(//cac:DespatchSupplierParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID) and (//cac:DeliveryCustomerParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID)" flag="fatal">[EUGEN-T16-R002]-A party identifier MUST have a scheme identifier attribute.</assert>
  </rule>
  <rule context="/cac:Country">
    <assert test="(cbc:IdentificationCode/@listID='ISO3166-1:Alpha2')" flag="fatal">[EUGEN-T16-R003]-A country identification code MUST have a list identifier attribute ISO3166-1:Alpha2.</assert>
  </rule>
  <rule context="//cac:DeliveryCustomerParty">
    <assert test="(cac:Party/cac:PartyName/cbc:Name)" flag="warning">[BII2-T16-R009]-A consignee party SHOULD have the party name or a party identifier</assert>
  </rule>
</pattern>
</schema>