<?xml version="1.0" encoding="utf-8"?><!-- 

        	UBL syntax binding to the T58   
        	Author: Oriol Bausà

     --><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:UBL="urn:oasis:names:specification:ubl:schema:xsd:ApplicationResponse-2" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" queryBinding="xslt2">
  <title>BIIRULES  T58 bound to UBL</title>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:ApplicationResponse-2"/>
  <phase id="BIIRULEST58_phase">
    <active pattern="UBL-T58"/>
  </phase>
  <phase id="codelist_phase">
    <active pattern="CodesT58"/>
  </phase>
  <!-- Abstract CEN BII patterns -->
  <!-- ========================= -->
  <?DSDL_INCLUDE_START abstract/BIIRULES-T58.sch?><pattern abstract="true" id="T58">
  <rule context="$catalogue_rejection">
    <assert test="$BII2-T58-R001" flag="fatal">[BII2-T58-R001]-A catalogue rejection MUST have a profile identifier</assert>
    <assert test="$BII2-T58-R002" flag="fatal">[BII2-T58-R002]-A catalogue rejection MUST have a customization identifier</assert>
    <assert test="$BII2-T58-R003" flag="fatal">[BII2-T58-R003]-A catalogue rejection MUST contain the date of issue</assert>
    <assert test="$BII2-T58-R004" flag="fatal">[BII2-T58-R004]-A catalogue rejection MUST contain the response identifier</assert>
    <assert test="$BII2-T58-R005" flag="fatal">[BII2-T58-R005]-The party sending the catalogue rejection MUST be specified</assert>
    <assert test="$BII2-T58-R006" flag="fatal">[BII2-T58-R006]-The party receiving the catalogue rejection MUST be specified</assert>
  </rule>
  <rule context="$Sending_Party">
    <assert test="$BII2-T58-R007" flag="fatal">[BII2-T58-R007]-A catalogue rejection sending party MUST contain the full name or an identifier</assert>
  </rule>
  <rule context="$Receiving_Party">
    <assert test="$BII2-T58-R008" flag="fatal">[BII2-T58-R008]-A catalogue rejection receiving party MUST contain the full name or an identifier</assert>
  </rule>
  <rule context="$catalogue_rejection">
    <assert test="$BII2-T58-R009" flag="fatal">[BII2-T58-R009]-A catalogue rejection MUST contain a response decision</assert>
    <assert test="$BII2-T58-R010" flag="fatal">[BII2-T58-R010]-A catalogue rejection MUST contain a catalogue reference</assert>
  </rule>
  <rule context="$endpoint">
    <assert test="$EUGEN-T58-R001" flag="fatal">[EUGEN-T58-R001]-An endpoint identifier MUST have a scheme identifier attribute</assert>
  </rule>
  <rule context="$party_identifier">
    <assert test="$EUGEN-T58-R002" flag="fatal">[EUGEN-T58-R002]-A party identifier MUST have a scheme identifier attribute</assert>
  </rule>
  <rule context="$response_code">
    <assert test="$EUGEN-T58-R003" flag="fatal">[EUGEN-T58-R003]-A response code MUST have a list identifier attribute “UNCL4343”</assert>
  </rule>
</pattern><?DSDL_INCLUDE_END abstract/BIIRULES-T58.sch?>
  <!-- Data Binding parameters -->
  <!-- ======================= -->
  <?DSDL_INCLUDE_START UBL/BIIRULES-UBL-T58.sch?><pattern is-a="T58" id="UBL-T58">
  <param value="(cbc:ProfileID)" name="BII2-T58-R001"/>
  <param value="(cbc:CustomizationID)" name="BII2-T58-R002"/>
  <param value="(cbc:IssueDate)" name="BII2-T58-R003"/>
  <param value="(cbc:ID)" name="BII2-T58-R004"/>
  <param value="(cac:SenderParty)" name="BII2-T58-R005"/>
  <param value="(cac:ReceiverParty)" name="BII2-T58-R006"/>
  <param value="(cac:PartyName/cbc:Name) or (cac:PartyIdentification/cbc:ID)" name="BII2-T58-R007"/>
  <param value="(cac:PartyName/cbc:Name) or (cac:PartyIdentification/cbc:ID)" name="BII2-T58-R008"/>
  <param value="(cac:DocumentResponse/cbc:ResponseCode)" name="BII2-T58-R009"/>
  <param value="(cac:DocumentReference/cbc:ID)" name="BII2-T58-R010"/>
  <param value="@schemeID" name="EUGEN-T58-R001"/>
  <param value="@schemeID" name="EUGEN-T58-R002"/>
  <param value="@listID = 'UNCL4343'" name="EUGEN-T58-R003"/>
  <param value="//cac:SenderParty" name="Sending_Party"/>
  <param value="//cac:ReceiverParty" name="Receiving_Party"/>
  <param value="/ubl:ApplicationResponse" name="catalogue_rejection"/>
  <param value="//cbc:EndpointID" name="endpoint"/>
  <param value="//cac:PartyIdentification/cbc:ID" name="party_identifier"/>
  <param value="//cbc:ResponseCode" name="response_code"/>
</pattern><?DSDL_INCLUDE_END UBL/BIIRULES-UBL-T58.sch?>
  <!-- Code Lists Binding rules -->
  <!-- ======================== -->
  <?DSDL_INCLUDE_START codelist/BIIRULESCodesT58-UBL.sch?><pattern id="CodesT58">
<!--
  This implementation supports genericode code lists with no instance
  meta data.
-->
<!--
    Start of synthesis of rules from code list context associations.
Version 0.3
-->

<rule context="cbc:EndpointID//@schemeID" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' GLN DUNS IBAN DK:CPR DK:CVR DK:P DK:SE DK:VANS IT:VAT IT:CF IT:FTI IT:SIA IT:SECETI NO:ORGNR NO:VAT HU:VAT SE:ORGNR FI:OVT EU:VAT EU:REID FR:SIRET AT:VAT AT:GOV AT:CID IS:KT ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[OP-T58-R001]-An Endpoint Identifier Scheme MUST be from the list of PEPPOL Party Identifiers described in the "PEPPOL Policy for using Identifiers".</assert>
</rule>

<rule context="cac:PartyIdentification/cbc:ID//@schemeID" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' GLN DUNS IBAN DK:CPR DK:CVR DK:P DK:SE DK:VANS IT:VAT IT:CF IT:FTI IT:SIA IT:SECETI NO:ORGNR NO:VAT HU:VAT SE:ORGNR FI:OVT EU:VAT EU:REID FR:SIRET AT:VAT AT:GOV AT:CID IS:KT ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[OP-T58-R002]-A Party Identifier Scheme MUST be from the list of PEPPOL Party Identifiers described in the "PEPPOL Policy for using Identifiers".</assert>
</rule>

<rule context="cbc:ResponseCode" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' AP RE ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[OP-T58-R003]-A Response code MUST be from the UN CEFACT 4343 code list PEPPOL subset</assert>
</rule>
<!--
    End of synthesis of rules from code list context associations.
-->
</pattern><?DSDL_INCLUDE_END codelist/BIIRULESCodesT58-UBL.sch?>
</schema>