<?xml version="1.0" encoding="utf-8"?><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:UBL="urn:oasis:names:specification:ubl:schema:xsd:ApplicationResponse-2" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" queryBinding="xslt2">
  <title>BIIRULES  T58 bound to UBL</title>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:ApplicationResponse-2"/>
  <phase id="BIIRULEST58_phase">
    <active pattern="UBL-T58"/>
  </phase>
  <phase id="codelist_phase">
    <active pattern="CodesT58"/>
  </phase>
  
  
  <!--Suppressed abstract pattern T58 was here-->
  
  
  <!--Start pattern based on abstract T58--><pattern id="UBL-T58">
  <rule context="/ubl:ApplicationResponse">
    <assert test="(cbc:ProfileID)" flag="fatal">[BII2-T58-R001]-A catalogue rejection MUST have a profile identifier</assert>
    <assert test="(cbc:CustomizationID)" flag="fatal">[BII2-T58-R002]-A catalogue rejection MUST have a customization identifier</assert>
    <assert test="(cbc:IssueDate)" flag="fatal">[BII2-T58-R003]-A catalogue rejection MUST contain the date of issue</assert>
    <assert test="(cbc:ID)" flag="fatal">[BII2-T58-R004]-A catalogue rejection MUST contain the response identifier</assert>
    <assert test="(cac:SenderParty)" flag="fatal">[BII2-T58-R005]-The party sending the catalogue rejection MUST be specified</assert>
    <assert test="(cac:ReceiverParty)" flag="fatal">[BII2-T58-R006]-The party receiving the catalogue rejection MUST be specified</assert>
  </rule>
  <rule context="//cac:SenderParty">
    <assert test="(cac:PartyName/cbc:Name) or (cac:PartyIdentification/cbc:ID)" flag="fatal">[BII2-T58-R007]-A catalogue rejection sending party MUST contain the full name or an identifier</assert>
  </rule>
  <rule context="//cac:ReceiverParty">
    <assert test="(cac:PartyName/cbc:Name) or (cac:PartyIdentification/cbc:ID)" flag="fatal">[BII2-T58-R008]-A catalogue rejection receiving party MUST contain the full name or an identifier</assert>
  </rule>
  <rule context="/ubl:ApplicationResponse">
    <assert test="(cac:DocumentResponse/cbc:ResponseCode)" flag="fatal">[BII2-T58-R009]-A catalogue rejection MUST contain a response decision</assert>
    <assert test="(cac:DocumentReference/cbc:ID)" flag="fatal">[BII2-T58-R010]-A catalogue rejection MUST contain a catalogue reference</assert>
  </rule>
  <rule context="//cbc:EndpointID">
    <assert test="@schemeID" flag="fatal">[EUGEN-T58-R001]-An endpoint identifier MUST have a scheme identifier attribute</assert>
  </rule>
  <rule context="//cac:PartyIdentification/cbc:ID">
    <assert test="@schemeID" flag="fatal">[EUGEN-T58-R002]-A party identifier MUST have a scheme identifier attribute</assert>
  </rule>
  <rule context="//cbc:ResponseCode">
    <assert test="@listID = 'UNCL4343'" flag="fatal">[EUGEN-T58-R003]-A response code MUST have a list identifier attribute “UNCL4343”</assert>
  </rule>
</pattern>
  
  
  <pattern id="CodesT58">



<rule context="cbc:EndpointID//@schemeID" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' GLN DUNS IBAN DK:CPR DK:CVR DK:P DK:SE DK:VANS IT:VAT IT:CF IT:FTI IT:SIA IT:SECETI NO:ORGNR NO:VAT HU:VAT SE:ORGNR FI:OVT EU:VAT EU:REID FR:SIRET AT:VAT AT:GOV AT:CID IS:KT ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[OP-T58-R001]-An Endpoint Identifier Scheme MUST be from the list of PEPPOL Party Identifiers described in the "PEPPOL Policy for using Identifiers".</assert>
</rule>

<rule context="cac:PartyIdentification/cbc:ID//@schemeID" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' GLN DUNS IBAN DK:CPR DK:CVR DK:P DK:SE DK:VANS IT:VAT IT:CF IT:FTI IT:SIA IT:SECETI NO:ORGNR NO:VAT HU:VAT SE:ORGNR FI:OVT EU:VAT EU:REID FR:SIRET AT:VAT AT:GOV AT:CID IS:KT ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[OP-T58-R002]-A Party Identifier Scheme MUST be from the list of PEPPOL Party Identifiers described in the "PEPPOL Policy for using Identifiers".</assert>
</rule>

<rule context="cbc:ResponseCode" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' AP RE ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[OP-T58-R003]-A Response code MUST be from the UN CEFACT 4343 code list PEPPOL subset</assert>
</rule>

</pattern>
</schema>